Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.swing.factory
[Groovy] Class RichActionWidgetFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.RichActionWidgetFactory

    class RichActionWidgetFactory
    extends AbstractFactory

Authors:
  shemnon

Property Summary
`static java.lang.Class` | `ACTION_ARGS`
`static java.lang.Class` | `ICON_ARGS`
`static java.lang.Class` | `STRING_ARGS`
`java.lang.reflect.Constructor` | `actionCtor`
`java.lang.reflect.Constructor` | `iconCtor`
`java.lang.Class` | `klass`
`java.lang.reflect.Constructor` | `stringCtor`

Constructor Summary
`RichActionWidgetFactory(java.lang.Class klass)`

Method Summary
`java.lang.Object` | `newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### ACTION_ARGS

    static final java.lang.Class ACTION_ARGS

### ICON_ARGS

    static final java.lang.Class ICON_ARGS

### STRING_ARGS

    static final java.lang.Class STRING_ARGS

### actionCtor

    final java.lang.reflect.Constructor actionCtor

### iconCtor

    final java.lang.reflect.Constructor iconCtor

### klass

    final java.lang.Class klass

### stringCtor

    final java.lang.reflect.Constructor stringCtor

Constructor Detail

### RichActionWidgetFactory

    RichActionWidgetFactory(java.lang.Class klass)

Method Detail

### newInstance

    java.lang.Object newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)

Groovy Documentation